PDA

View Full Version : Missing HAE repositories after upgrading to SLES 11 SP2



cloudwien
03-Oct-2012, 13:58
Hello,

I've upgraded two server running SLES 11 SP1 + HAE to SP2 using ISO images for SLES and HAE.
Upgrade was ok, but afterwards I realized that for SLES the existing repositories were replaced by new ones for SP2, for HAE this was not the case.
So I still see the SP1 repositories for HAE, and I'm not able to load HAE patches from NCC.
I tried to manually add the HAE SP2 repositories, but this failed with authentication errors, although I used a valid NCC user.

The output of the "zypper lr" command is:
# zypper lr
# | Alias | Name | Enabled | Refresh
---+----------------------------------------------------------------------+----------------------------------------------------------------------+---------+--------
1 | SUSE-Linux-Enterprise-High-Availability-Extension-11-SP2_11.2.2-1.66 | SUSE-Linux-Enterprise-High-Availability-Extension-11-SP2 11.2.2-1.66 | Yes | No
2 | SUSE-Linux-Enterprise-Server-11-SP2 11.2.2-1.234 | SUSE-Linux-Enterprise-Server-11-SP2 11.2.2-1.234 | Yes | No
3 | nu_novell_com:SLE11-HAE-SP1-Pool | SLE11-HAE-SP1-Pool | No | Yes
4 | nu_novell_com:SLE11-HAE-SP1-Updates | SLE11-HAE-SP1-Updates | No | Yes
5 | nu_novell_com:SLE11-SMT-SP2-Pool | SLE11-SMT-SP2-Pool | No | Yes
6 | nu_novell_com:SLE11-SMT-SP2-Updates | SLE11-SMT-SP2-Updates | No | Yes
7 | nu_novell_com:SLE11-SP1-Debuginfo-Pool | SLE11-SP1-Debuginfo-Pool | No | Yes
8 | nu_novell_com:SLE11-SP1-Debuginfo-Updates | SLE11-SP1-Debuginfo-Updates | No | Yes
9 | nu_novell_com:SLE11-SP2-Debuginfo-Core | SLE11-SP2-Debuginfo-Core | No | Yes
10 | nu_novell_com:SLE11-SP2-Debuginfo-Updates | SLE11-SP2-Debuginfo-Updates | No | Yes
11 | nu_novell_com:SLE11-WebYaST-SP1-Pool | SLE11-WebYaST-SP1-Pool | No | Yes
12 | nu_novell_com:SLE11-WebYaST-SP1-Updates | SLE11-WebYaST-SP1-Updates | No | Yes
13 | nu_novell_com:SLE11-WebYaST-SP2-Pool | SLE11-WebYaST-SP2-Pool | No | Yes
14 | nu_novell_com:SLE11-WebYaST-SP2-Updates | SLE11-WebYaST-SP2-Updates | No | Yes
15 | nu_novell_com:SLES11-Extras | SLES11-Extras | No | Yes
16 | nu_novell_com:SLES11-SP1-Pool | SLES11-SP1-Pool | Yes | Yes
17 | nu_novell_com:SLES11-SP1-Updates | SLES11-SP1-Updates | Yes | Yes
18 | nu_novell_com:SLES11-SP2-Core | SLES11-SP2-Core | Yes | Yes
19 | nu_novell_com:SLES11-SP2-Extension-Store | SLES11-SP2-Extension-Store | Yes | Yes
20 | nu_novell_com:SLES11-SP2-Updates | SLES11-SP2-Updates | Yes | Yes


Any hints how to get the HAE SP2 repositories are appreciated.

Regards,
Josef

malcolmlewis
03-Oct-2012, 15:01
Hello,

I've upgraded two server running SLES 11 SP1 + HAE to SP2 using ISO
images for SLES and HAE.
Upgrade was ok, but afterwards I realized that for SLES the existing
repositories were replaced by new ones for SP2, for HAE this was not the
case.
So I still see the SP1 repositories for HAE, and I'm not able to load
HAE patches from NCC.
I tried to manually add the HAE SP2 repositories, but this failed with
authentication errors, although I used a valid NCC user.

The output of the "zypper lr" command is:
# zypper lr
# | Alias | Name | Enabled | Refresh
---+----------------------------------------------------------------------+----------------------------------------------------------------------+---------+--------
1 |
SUSE-Linux-Enterprise-High-Availability-Extension-11-SP2_11.2.2-1.66 |
SUSE-Linux-Enterprise-High-Availability-Extension-11-SP2 11.2.2-1.66 |
Yes | No
2 | SUSE-Linux-Enterprise-Server-11-SP2 11.2.2-1.234 |
SUSE-Linux-Enterprise-Server-11-SP2 11.2.2-1.234 | Yes | No
3 | nu_novell_com:SLE11-HAE-SP1-Pool | SLE11-HAE-SP1-Pool | No | Yes
4 | nu_novell_com:SLE11-HAE-SP1-Updates | SLE11-HAE-SP1-Updates | No |
Yes
5 | nu_novell_com:SLE11-SMT-SP2-Pool | SLE11-SMT-SP2-Pool | No | Yes
6 | nu_novell_com:SLE11-SMT-SP2-Updates | SLE11-SMT-SP2-Updates | No |
Yes
7 | nu_novell_com:SLE11-SP1-Debuginfo-Pool | SLE11-SP1-Debuginfo-Pool |
No | Yes
8 | nu_novell_com:SLE11-SP1-Debuginfo-Updates |
SLE11-SP1-Debuginfo-Updates | No | Yes
9 | nu_novell_com:SLE11-SP2-Debuginfo-Core | SLE11-SP2-Debuginfo-Core |
No | Yes
10 | nu_novell_com:SLE11-SP2-Debuginfo-Updates |
SLE11-SP2-Debuginfo-Updates | No | Yes
11 | nu_novell_com:SLE11-WebYaST-SP1-Pool | SLE11-WebYaST-SP1-Pool | No
| Yes
12 | nu_novell_com:SLE11-WebYaST-SP1-Updates |
SLE11-WebYaST-SP1-Updates | No | Yes
13 | nu_novell_com:SLE11-WebYaST-SP2-Pool | SLE11-WebYaST-SP2-Pool | No
| Yes
14 | nu_novell_com:SLE11-WebYaST-SP2-Updates |
SLE11-WebYaST-SP2-Updates | No | Yes
15 | nu_novell_com:SLES11-Extras | SLES11-Extras | No | Yes
16 | nu_novell_com:SLES11-SP1-Pool | SLES11-SP1-Pool | Yes | Yes
17 | nu_novell_com:SLES11-SP1-Updates | SLES11-SP1-Updates | Yes | Yes
18 | nu_novell_com:SLES11-SP2-Core | SLES11-SP2-Core | Yes | Yes
19 | nu_novell_com:SLES11-SP2-Extension-Store |
SLES11-SP2-Extension-Store | Yes | Yes
20 | nu_novell_com:SLES11-SP2-Updates | SLES11-SP2-Updates | Yes | Yes


Any hints how to get the HAE SP2 repositories are appreciated.

Regards,
Josef



Hi
Have a read of this https://www.suse.com/support/kb/doc.php?id=7010225

You will see the intent is for the SLES11-SPx-Extension-Store
repository to take care of this.

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.2 (x86_64) Kernel 3.4.6-2.10-desktop
up 1 day 21:02, 3 users, load average: 0.09, 0.09, 0.06
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

cloudwien
04-Oct-2012, 09:23
Hi Malcom,

thanks for that hint, I've seen this article already.
I'm still not sure if it helps here.
I have the SLES11-SP2-Extension-Store repository, but it does not offer any updates.
Also this articles shows as example the HAE SP2 repositories:

# zypper lr
# | / / | Name | Enabled | Refresh
---+-/-/-+----------------------------------------------------------+---------+--------
1 | / / | SLE11-HAE-SP2-Pool | Yes | Yes
2 | / / | SLE11-HAE-SP2-Updates | Yes | Yes

and mentions:

"The High Availability Extension product is still using the "traditional" model in that it only is assigned repositories from the current Service Pack."

So I think I still need the SLE11-HAE-SP2-Pool and SLE11-HAE-SP2-Updates repositories, but I'm noat able to add them.
Any ohter ideas ?

Thanks and best regards,
Josef

dirkmueller
29-Oct-2012, 11:22
Hi Malcom,


So I think I still need the SLE11-HAE-SP2-Pool and SLE11-HAE-SP2-Updates repositories, but I'm noat able to add them.
Any ohter ideas ?



You're right, you should have SLE11-HAE-SP2-Pool and SLE11-HAE-SP2-Updates subscribed and enabled. could you provide the output of "rpm -q sle-hae-release" and "zypper pd" ?